Package org.apache.lucene.sandbox.document

# Class IntPointMultiRangeBuilder

java.lang.Object
org.apache.lucene.sandbox.search.MultiRangeQuery.Builder
org.apache.lucene.sandbox.document.IntPointMultiRangeBuilder

public class IntPointMultiRangeBuilder extends MultiRangeQuery.Builder
Builder for multi range queries for IntPoints

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.sandbox.search.MultiRangeQuery.Builder

  `bytesPerDim, clauses, field, numDims`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntPointMultiRangeBuilder(String field, int numDims)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int[] lowerValue, int[] upperValue)`
  `MultiRangeQuery`
  `build()`
  Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.

  ### Methods inherited from class org.apache.lucene.sandbox.search.MultiRangeQuery.Builder

  `add, add`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntPointMultiRangeBuilder

    public IntPointMultiRangeBuilder(String field, int numDims)

- ## Method Details

  - ### build

    public MultiRangeQuery build()
    Description copied from class: `MultiRangeQuery.Builder`
    Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.
    Specified by:
      `build` in class `MultiRangeQuery.Builder`

  - ### add

    public void add(int[] lowerValue, int[] upperValue)